%global __provides_exclude_from ^%{_libdir}/sinfo/.*$
%global privlibs libmessage
%global privlibs %{privlibs}|libprotocol
%global privlibs %{privlibs}|libmessageio
%global privlibs %{privlibs}|libmessageiobase
%global privlibs %{privlibs}|libprotocolasio
%global privlibs %{privlibs}|libmessageparser
%global privlibs %{privlibs}|librpc
%global privlibs %{privlibs}|libsinfometer-0.0.47
%global privlibs %{privlibs}|libsinfotypes-0.0.47
%global __requires_exclude ^(%{privlibs})\\.so\\.*

Name: sinfo	
Version: 0.0.47	
Release: 3%{?dist}
Summary: Show an overview of the available computers an their current load	

Group: Applications/Internet
License: GPLv2+	
URL: http://www.ant.uni-bremen.de/whomes/rinas/sinfo		
Source0: http://www.ant.uni-bremen.de/whomes/rinas/%{name}/download/%{name}-%{version}.tar.gz	
BuildRequires: asio-devel
BuildRequires: boost-devel
BuildRequires: ncurses-devel	

%description
Monitoring tool that allow networked computers to broadcast 
status information about each computer on your local network.
     
%prep
%setup -q 

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files
%doc README ChangeLog AUTHORS COPYING
%{_bindir}/%{name}
%{_bindir}/sshallsinfo
%{_sbindir}/sinfod
%{_mandir}/man8/sinfod.8*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/sshallsinfo.1*
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/*.so*

%changelog
* Thu Jun 6 2013 Kiara Navarro <sophiekovalevsky@fedoraproject.org> - 0.0.47-3
- New Release Version. Added COPYING. Changed License. Filter requires and provides.

* Thu Sep 24 2012 Kiara Navarro <sophiekovalevsky@fedoraproject.org> - 0.0.47-2
- fix BZ 785462 comment 6

* Wed Sep 19 2012 Kiara Navarro <sophiekovalevsky@fedoraproject.org> - 0.0.47-1
- New Release Version

* Wed Jan 12 2012 Kiara Navarro <sophiekovalevsky@fedoraproject.org> - 0.0.44-2
- Added README ChangeLog AUTHORS

* Sat Dec 31 2011 Kiara Navarro <sophiekovalevsky@fedoraproject.org> - 0.0.44-1
- Initial Import